from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.get_file_content(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res){
"file_id": "file-abc123",
"filename": "user-guide.pdf",
"attributes": {
"category": "manual",
"version": "2.0"
},
"content": [
{
"type": "text",
"text": "Reset your password from Settings > Security."
}
]
}Recupera el contenido completo analizado de un archivo dentro de un almacén vectorial.
from openapi import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.get_file_content(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res){
"file_id": "file-abc123",
"filename": "user-guide.pdf",
"attributes": {
"category": "manual",
"version": "2.0"
},
"content": [
{
"type": "text",
"text": "Reset your password from Settings > Security."
}
]
}Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
La identificación del almacén de vectores.
El ID del archivo dentro del almacén de vectores.
Está bien
El contenido analizado de un archivo de almacenamiento vectorial.
¿Esta página le ayudó?